Subject: [TR] Spitfire Rear Drum Backing Plate: Removing?

From: Martin Secrest <[email-masked]>
Date: Thu, 05 Dec 2013 15:11:55 -0500

I'm trying to remove a late Spitfire left rear drum backing plate. It's the
plate on which the brake pads sit; four half-inch bolt heads, each with two
locking tabs.

It is possible only to get an open box wrench on these bolts, and they are not
moving, probably rusted. Any tricks or hints to get them out, or am I missing
something?  I have to take off the backing plates because I am converting this
halfshaft to GT6 brake drum, which is larger. Thanks.

Martin Secrest
73 GT6

** [email-masked] **

Archive: http://www.team.net/archive